namespace Phoenix.Model.Bll.Domain
{
    public class DoctorType : Poco
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="DoctorType"/> class.
        /// </summary>
        public DoctorType()
        {
            this.Remark = string.Empty;
            this.Title = string.Empty;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the remark.
        /// </summary>
        /// <value>The remark.</value>
        public virtual string Remark
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>The title.</value>
        public virtual string Title
        {
            get;
            set;
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Returns a <see cref="System.String"/> that represents this instance.
        /// </summary>
        /// <returns>
        /// A <see cref="System.String"/> that represents this instance.
        /// </returns>
        public override string ToString()
        {
            return string.Format(this.Title);
        }

        #endregion Methods
    }
}