namespace Phoenix.Model.Bll.Domain
{
    using System;
    using System.Drawing;
    using System.IO;

    public class Picture : Poco
    {
        #region Constructors

        public Picture()
        {
        }

        #endregion Constructors

        #region Properties

        public virtual byte[] Bitmap
        {
            get;
            set;
        }

        /// <summary>
        /// Gets the image.
        /// </summary>
        /// <value>The image.</value>
        public virtual Image Image
        {
            get
            {
                if (this.Bitmap == null)
                {
                    return new Bitmap(1, 1);
                }
                else
                {
                    using (MemoryStream stream = new MemoryStream(this.Bitmap))
                    {
                        return Image.FromStream(stream);
                    }
                }
            }
        }

        public virtual DateTime? InsertDate
        {
            get;
            set;
        }

        public virtual string Remark
        {
            get;
            set;
        }

        #endregion Properties
    }
}