﻿namespace Phoenix.Model.Bll.Interface
{
    using System.Collections.Generic;

    using Phoenix.Model.Bll.Domain;

    public interface IDoctorRepository : IRepository<Doctor>
    {
        #region Methods

        /// <summary>
        /// Searches the items in the database that respect the specified criterion.
        /// Every not empty properties are considered as criterion for the search.
        /// Every empty (null or with default values) are excluded of the search.
        /// The search is optimistic on text. For instance, that'll search on all
        /// the tuples that contains the text and not that has exactly the specified name.
        /// </summary>
        /// <param name="criterion">The criterion.</param>
        /// <returns>
        /// A list of the items that respect the criterion.
        /// </returns>
        IList<Doctor> Search(Doctor criterion);

        #endregion Methods
    }
}