﻿namespace Phoenix.Model.Search
{
    using Phoenix.Presenter.Interfaces.Searcher;

    /// <summary>
    /// Represent the presenter part of the MVP for a SearchBox for a sessions opening.
    /// The specificity is that when selecting a patient, this item will open a session.
    /// </summary>
    public class SessionPatientSearcher : PatientSearcher
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="SessionPatientSearcher"/> class.
        /// </summary>
        /// <param name="view">The view.</param>
        public SessionPatientSearcher(IPatientSearcher view)
            : base(view)
        {
        }

        #endregion Constructors
    }
}