﻿namespace Phoenix.Model.Dal.Repositories
{
    using System;
    using System.Collections.Generic;
    using System.Linq;

    using NHibernate;
    using NHibernate.Linq;

    using Phoenix.Contracts;
    using Phoenix.Model.Bll.Domain;
    using Phoenix.Model.Bll.Interface;

    public class BmiRepository : Repository<BMI>, IBmiRepository
    {
        #region Constructors

        public BmiRepository()
            : base("BMI", "Date")
        {
        }

        #endregion Constructors

        #region Methods

        /// <summary>
        /// Determines whether the specified item is referenced.
        /// </summary>
        /// <param name="item">The item.</param>
        /// <returns>
        /// 	<c>true</c> if the specified item is referenced; otherwise, <c>false</c>.
        /// </returns>
        public override bool IsReferenced(BMI item)
        {
            return (from Patient p in this.Session.Linq<Patient>()
                    where p.BmiHistory.Contains(item)
                    select p).Count() > 0;
        }

        //TODO Replace this method by a new one more staight forward
        [Obsolete("Replace this method by a new one more staight forward")]
        public IList<BMI> Search(BMI criterion)
        {
            Assert.IsNotNull(criterion, "criterion");

            DateTime date = criterion.Date;
            int height = criterion.Height;
            double weight = criterion.Weight;

            string hql = "FROM BMI p WHERE p.Date = :Date";

            if (height > 0)
                hql += " AND p.Height = :Height";

            if (weight > 0)
                hql += "AND p.Weight = :Weight";

            hql += " ORDER BY p.Date";

            IQuery query = this.Session.CreateQuery(hql);
            query.SetParameter("Date", date);

            if (height > 0)
                query.SetParameter("Height", height);
            if (weight > 0)
                query.SetParameter("Weight", weight);

            return query.List<BMI>();
        }

        #endregion Methods
    }
}