﻿namespace Phoenix.Model.Dal.Repositories
{
    using Phoenix.Model.Bll.Domain;
    using Phoenix.Model.Bll.Interface;

    public class MacroRepository : Repository<Macro>, IMacroRepository
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="KeywordRepository"/> class.
        /// </summary>
        public MacroRepository()
            : base("Macro", "Title")
        {
        }

        #endregion Constructors

        #region Methods

        /// <summary>
        /// Determines whether the specified item is referenced.
        /// </summary>
        /// <param name="item">The item.</param>
        /// <returns>
        /// 	<c>true</c> if the specified item is referenced; otherwise, <c>false</c>.
        /// </returns>
        public override bool IsReferenced(Macro item)
        {
            return false;
        }

        #endregion Methods
    }
}