﻿namespace Phoenix.Presenter.Exceptions
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Runtime.Serialization;
    using System.Text;

    /// <summary>
    /// An error of bindong model data into the gui occured
    /// </summary>
    [Serializable]
    public class BindingException : Exception
    {
        #region Constructors

        public BindingException()
            : this("An error occured while binding model data to the Gui")
        {
        }

        public BindingException(string message)
            : base(message)
        {
        }

        public BindingException(string message, Exception inner)
            : base(message, inner)
        {
        }

        protected BindingException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }

        #endregion Constructors
    }
}