﻿namespace Phoenix.Presenter.Interfaces.Manager
{
    using System;
    using System.Collections.Generic;

    using Phoenix.Model.Bll.Domain;

    public interface IMeetingManagerPresenter : IManager
    {
        #region Events

        /// <summary>
        /// Occurs when a meeting is deleted.
        /// </summary>
        event EventHandler Deleted;

        /// <summary>
        /// Occurs when user wants to insert an item.
        /// </summary>
        event EventHandler Inserted;

        /// <summary>
        /// Occurs when the view is refreshed.
        /// </summary>
        event EventHandler Refreshed;

        /// <summary>
        /// Occurs when user wants to update an item.
        /// </summary>
        event EventHandler Updated;

        #endregion Events

        #region Properties

        /// <summary>
        /// Gets or sets the item to manage.
        /// </summary>
        /// <value>The item to manage.</value>
        WorkMeeting ItemToManage
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the list of all the meetings but these of the patient.
        /// </summary>
        /// <value>The meetings.</value>
        IList<WorkMeeting> Meetings
        {
            get;
            set;
        }

        #endregion Properties
    }
}