﻿namespace Phoenix.Presenter.Interfaces.Manager
{
    using System;
    using System.Drawing;

    using Phoenix.Helpers.Misc;
    using Phoenix.Model.Bll.Domain;

    public interface IPictureDisplayer
    {
        #region Events

        /// <summary>
        /// Occurs when all pictures are loading.
        /// </summary>
        event EventHandler AllPicturesLoading;

        /// <summary>
        /// Occurs when displaying picture.
        /// </summary>
        event EventHandler<EventArgs<long>> DisplayingPicture;

        #endregion Events

        #region Properties

        /// <summary>
        /// Gets or sets the displayed image.
        /// </summary>
        /// <value>The displayed image.</value>
        Image DisplayedImage
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the pictures.
        /// </summary>
        /// <value>The pictures.</value>
        Picture[] Pictures
        {
            get;
            set;
        }

        #endregion Properties
    }
}