﻿namespace Phoenix.Presenter.Interfaces.Searcher
{
    using Phoenix.Model.Bll.Domain;
    using Phoenix.Presenter.Interfaces.Interfaces;

    /// <summary>
    /// View interface for a patient searcher
    /// </summary>
    public interface IPatientSearcher : ISearchBox<Patient>
    {
        #region Methods

        /// <summary>
        /// Clears previous error on validation failed.
        /// </summary>
        void ClearError();

        /// <summary>
        /// Sets the error explaining the validation failed because
        /// the inscription date is bigger than the date of birth.
        /// </summary>        
        /// <param name="message">The message.</param>
        void InvalidateInscription(string message);

        /// <summary>
        /// Validates the criterions.
        /// </summary>
        /// <returns></returns>
        bool ValidateCriterions();

        #endregion Methods
    }
}