﻿namespace Phoenix.View.Configuration
{
    using Nini.Config;

    using Phoenix.Presenter;

    /// <summary>
    /// Manage the ini files
    /// </summary>
    public class IniFile
    {
        #region Fields

        private bool isLoaded = false;
        private string section = string.Empty;
        private IConfigSource source;

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="IniFile"/> class.
        /// </summary>
        /// <param name="section">The section.</param>
        public IniFile(string section)
        {
            this.section = section;
        }

        #endregion Constructors

        #region Methods

        /// <summary>
        /// Gets the value for specified key.
        /// </summary>
        /// <param name="key">The key.</param>
        /// <returns></returns>
        public string Get(string key)
        {
            if (!isLoaded) this.Load();
            return this.source.Configs[section].Get(key);
        }

        /// <summary>
        /// Loads this instance.
        /// </summary>
        private void Load()
        {
            this.source = new IniConfigSource(AppContext.Context["PdfLayoutPath"] as string);
            this.isLoaded = true;
        }

        #endregion Methods
    }
}