﻿namespace Phoenix.View.Frame.Controls
{
    using System;
    using System.Collections.Generic;
    using System.Windows.Forms;

    using Phoenix.Helpers.Misc;
    using Phoenix.Model.Bll.Domain;
    using Phoenix.Model.Core.Management;
    using Phoenix.Presenter.Interfaces;

    /// <summary>
    /// Provide basic menu for managing meetings.
    /// </summary>
    public partial class MeetingSideControl : UserControl, IMeetingSideControlPresenter
    {
        #region Fields

        private MeetingSideModel model;
        private IEnumerable<Meeting> todayMeetings = new List<Meeting>();

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="MeetingSideControl"/> class.
        /// </summary>
        public MeetingSideControl()
        {
            InitializeComponent();
            this.model = new MeetingSideModel(this);
        }

        #endregion Constructors

        #region Events

        /// <summary>
        /// Occurs when the view should be refreshed.
        /// </summary>
        public event EventHandler Refreshed;

        /// <summary>
        /// Occurs when meetings of a patient are updated.
        /// </summary>
        public event EventHandler<EventArgs<Patient>> Updated;

        #endregion Events

        #region Properties

        /// <summary>
        /// Gets or sets the meetings of today.
        /// </summary>
        /// <value>The today meetings.</value>
        public IEnumerable<Meeting> TodayMeetings
        {
            get
            {
                return this.todayMeetings;
            }
            set
            {
                this.todayMeetings = value;
                this.RefreshTodayMeetings();
            }
        }

        #endregion Properties

        #region Methods

        private void MeetingSideControl_Load(object sender, EventArgs e)
        {
            this.Refreshed.Raise(this);
        }

        private void RefreshTodayMeetings()
        {
            if (this.todayMeetings == null) return;
            foreach (var meeting in this.todayMeetings)
            {
                //this.lv_Today.Items.Add(meeting.
            }
        }

        private void tsb_Refresh_Click(object sender, EventArgs e)
        {
            this.Refreshed.Raise(this);
        }

        #endregion Methods
    }
}