﻿namespace Phoenix.Presenter.Management.Controls
{
    using Phoenix.Model.Bll.Domain;

    /// <summary>
    /// Provides a control to manage the doctor type.
    /// </summary>
    public class DoctorTypeManagerControl : GeneralManagerControl<DoctorType>
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="DoctorTypeManagerControl"/> class.
        /// </summary>
        public DoctorTypeManagerControl()
            : base()
        {
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the reputation.
        /// </summary>
        /// <value>The reputation.</value>
        public override DoctorType ItemToManage
        {
            get
            {
                DoctorType reputation = new DoctorType();
                reputation.Title = this.tb_Name.Text;
                reputation.Remark = this.tb_Remarks.Text;
                return reputation;
            }
            set
            {

                this.tb_Name.Text = value.Title;
                this.tb_Remarks.Text = value.Remark;
            }
        }

        #endregion Properties
    }
}