﻿namespace Phoenix.Revision
{
    using System.Windows.Forms;

    public partial class RevisionViewer : Form
    {
        #region Constructors

        public RevisionViewer()
        {
            InitializeComponent();

            this.ShowValue();
        }

        #endregion Constructors

        #region Methods

        private void ShowDate()
        {
            this.nud_Value.Visible = false;
            this.nud_Value.Dock = DockStyle.None;

            this.dtp_date.Visible = true;
            this.dtp_date.Dock = DockStyle.Fill;
        }

        private void ShowValue()
        {
            this.dtp_date.Visible = false;
            this.dtp_date.Dock = DockStyle.None;

            this.nud_Value.Visible = true;
            this.nud_Value.Dock = DockStyle.Fill;
        }

        private void btn_OK_Click(object sender, System.EventArgs e)
        {
            if (rb_FromDate.Checked)
            {
                Helpers.Revision revision = new Phoenix.Revision.Helpers.Revision(dtp_date.Value);
                lbl_Revision.Text = string.Format("Revision: {0}", revision.Value);
            }
            else
            {
                Helpers.Revision revision = new Phoenix.Revision.Helpers.Revision((int)nud_Value.Value);
                lbl_Revision.Text = string.Format("Date: {0}", revision.RevisionDate.ToString());
            }
        }

        private void rb_CheckedChanged(object sender, System.EventArgs e)
        {
            if (rb_FromDate.Checked)
                this.ShowDate();
            else
                this.ShowValue();
        }

        #endregion Methods
    }
}