﻿namespace Phoenix.Translation
{
    using System;

    /// <summary>
    /// Exception for any translator error
    /// </summary>
    [global::System.Serializable]
    public class TranslatorException : Exception
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="TranslatorException"/> class.
        /// </summary>
        public TranslatorException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="TranslatorException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        public TranslatorException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="TranslatorException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="inner">The inner.</param>
        public TranslatorException(string message, Exception inner)
            : base(message, inner)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="TranslatorException"/> class.
        /// </summary>
        /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"/> that holds the serialized object data about the exception being thrown.</param>
        /// <param name="context">The <see cref="T:System.Runtime.Serialization.StreamingContext"/> that contains contextual information about the source or destination.</param>
        /// <exception cref="T:System.ArgumentNullException">The <paramref name="info"/> parameter is null. </exception>
        /// <exception cref="T:System.Runtime.Serialization.SerializationException">The class name is null or <see cref="P:System.Exception.HResult"/> is zero (0). </exception>
        protected TranslatorException(
            System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context)
            : base(info, context)
        {
        }

        #endregion Constructors
    }
}